﻿using System;
using System.Windows.Input;

namespace ThreadExample
{
  public class RelayModel: ICommand
  {
    private Action<object> _action;

    public RelayModel(Action<object> action)
    {
      this._action = action;
    }
    public bool CanExecute(object parameter)
    {
      return true;
    }

    public void Execute(object parameter)
    {
      _action(null);
    }

    public event EventHandler CanExecuteChanged;
  }
}
